Kerbal Space Program - Bug #18115

KSP Hangs on Dawn of the Space Agen Mission reset

03/18/2018 09:50 PM - Conner

Status: Closed Start date: 03/18/2018
Severity: Low % Done: 100%
Assignee:

Category: Application

Target version: 1.4.3

Version: 1.41 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Making History

Description

Bug happens every time. Windows x64 pro, game in x64, no mods with Making History, windowed mode. v1.4.1.2089 english

. Recover Rocket

. Press Esc
. Press Restart Mission
. Press Ok
but nothing else happens

. Go to launch pad and optionally launch rocket. Do not complete mission objectives

. Arrive at space center screen - All facilities are closed so all you cando is ...

. Game hangs on black screen - loading animation in bottom right corner still runs. Must use task manager to close
. Also cannot "Continue" mission after relaunching game. Must "Reset" When pressing continue, the button press animation plays

Log file was last modified a long time ago and may not be applicable to this bug. No amount of press Alt + F2 brought up any debug

dialog.

History

#1 - 03/19/2018 10:51 AM - Squelch
- Status changed from New to Being Worked On
- % Done changed from 0 to 30

#2 - 03/29/2018 10:13 AM - Squelch
- Status changed from Being Worked On to Ready to Test
- Target version set to 1.4.2

- % Done changed from 30 to 80

#3 - 04/26/2018 10:39 PM - Squelch

- Target version changed from 1.4.2 to 1.4.3

Further improvements to mission flow have been made.

#4 - 07/25/2019 12:00 AM - chris.fulton
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

#5 - 07/25/2019 12:00 AM - chris.fulton

- Status changed from Resolved to Closed

Files

output_log.ixt 3.21 MB
